import type { AmexTransactionInput, IsracardTransactionInput, ScraperUploadResult } from '../../../__generated__/types.js';
import { TenantAwareDBClient } from '../../app-providers/tenant-db-client.js';
export declare class IsracardAmexScraperIngestionProvider {
    private db;
    constructor(db: TenantAwareDBClient);
    uploadIsracardTransactions(transactions: readonly IsracardTransactionInput[]): Promise<ScraperUploadResult>;
    uploadAmexTransactions(transactions: readonly AmexTransactionInput[]): Promise<ScraperUploadResult>;
}
